%define upstream_name    Alias
%define upstream_version 2.32

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:	CPAN %{upstream_name} module for aliasing services
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Alias/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     Alias-2.32-Dont-use-GvCV-as-an-lvalue.patch

BuildRequires:	perl-devel

%description
This Perl module performs aliasing services. You may find this
module useful if you:
   * are tired of dereferencing hash-based object attributes
   * wish perl could make-do with fewer $, -> and {} things
   * are a little scared of using typeglobs
   * want the freedom to put what you want, when you want in
     the symbol table without having to deal with weird syntax
   * need to use scalar constants in your program since you don't
     trust yourself from changing $PI

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .perl514

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*/Alias.pm
%{perl_vendorlib}/*/auto/Alias/*
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.320.0-6.mga3
+ Revision: 362916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.320.0-5.mga3
+ Revision: 250260
- rebuild for perl 5.16

* Sun Aug 21 2011 shlomif <shlomif> 2.320.0-4.mga2
+ Revision: 134712
- Better patch that passes the tests. Rebuild to get rid of perlapi-5.12.2

  + jquelin <jquelin>
    - make it build with perl 5.14
    - perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.320.0-2.mga1
+ Revision: 29781
- mageia rebuild
- imported package perl-Alias

